const puppeteer = require('puppeteer-extra');
const StealthPlugin = require('puppeteer-extra-plugin-stealth');
const AdBlockerPlugin = require('puppeteer-extra-plugin-adblocker');
const KissAsianScraper = require('./classes/scraping/KissAsianScraper');
const credentials = require('../data/credentials.json');

puppeteer.use(StealthPlugin());
puppeteer.use(AdBlockerPlugin({ blockTrackers: true }));

const main = async() => {
  const browser = await puppeteer.launch({ headless: false, slowMo: 250 });
  const page = await browser.newPage();
  const scraper = new KissAsianScraper(page);

  await scraper.load();
  await scraper.authenticate(credentials.kissasian);

  const links = await scraper.getMediaLinks('https://kissasian.li/Drama/My-Roommate-is-a-Gumiho');
  await scraper.directlyVisitPlayerURL(links[0]);

  console.log(await scraper.getDownloadLinkForCurrentPlayer());
};

main();
